/*
 * Copyright 2012, RagingGoblin <http://raginggoblin.wordpress.com>
 * 
 * This file is part of Infolog.
 *
 *  Infolog is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Infolog is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Infolog.  If not, see <http://www.gnu.org/licenses/>.
 */

package raging.goblin.crypt;

public enum EncryptionType {

    MD5("Md5"), MD5_CRYPT("Md5_crypt"), SHA256("Sha256_crypt"), SHA512("Sha512_crypt");

    private String name;

    EncryptionType(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return name;
    }

    public static EncryptionType getEncryptionType(String stringValue) {
        if (MD5.name.toLowerCase().equals(stringValue.toLowerCase())) {
            return MD5;
        }
        if (MD5_CRYPT.name.toLowerCase().equals(stringValue.toLowerCase())) {
            return MD5_CRYPT;
        }
        if (SHA256.name.toLowerCase().equals(stringValue.toLowerCase())) {
            return SHA256;
        }
        if (SHA512.name.toLowerCase().equals(stringValue.toLowerCase())) {
            return SHA512;
        }
        return null;
    }

}
