/*
 * Copyright 2013, RagingGoblin <http://raginggoblin.wordpress.com>
 * 
 * This file is part of Infolog.
 *
 *  Infolog is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Infolog is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Infolog.  If not, see <http://www.gnu.org/licenses/>.
 */

package raging.goblin.crypt;

import org.apache.log4j.Logger;
import org.jasypt.exceptions.EncryptionOperationNotPossibleException;
import org.jasypt.util.text.BasicTextEncryptor;

public class JasyptCrypt {

	private static final String ENCRYPTION_PASSWORD = "RagingGoblinRagesAtTheWorld";
	private static final Logger LOG = Logger.getLogger(JasyptCrypt.class);

	public static String decryptPassword(String encryptedPassword) {
		BasicTextEncryptor textEncryptor = new BasicTextEncryptor();
		textEncryptor.setPassword(ENCRYPTION_PASSWORD);
		try {
			return textEncryptor.decrypt(encryptedPassword);
		} catch (EncryptionOperationNotPossibleException e) {
			LOG.error("Unable to decrypt password", e);
		}
		return "";
	}

	public static String encryptPassword(char[] password) {
		BasicTextEncryptor textEncryptor = new BasicTextEncryptor();
		textEncryptor.setPassword(ENCRYPTION_PASSWORD);
		return textEncryptor.encrypt(new String(password));
	}

}
