package raging.goblin.infolog.android.gui;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;

import android.content.Context;
import android.util.AttributeSet;
import android.widget.TextView;

public class DateTimeTextView extends TextView {

    private static final DateFormat dateFormat = SimpleDateFormat.getDateTimeInstance();

    public DateTimeTextView(Context context) {
        super(context);
    }

    public DateTimeTextView(Context context, AttributeSet attrs) {
        super(context, attrs);
    }

    public DateTimeTextView(Context context, AttributeSet attrs, int defStyle) {
        super(context, attrs, defStyle);
    }

    @Override
    public void setText(CharSequence text, BufferType type) {
        if (text.length() > 0) {
            long timestamp = Long.parseLong(text.toString());
            text = dateFormat.format(new Date(timestamp));
        }
        super.setText(text, type);
    }

}
