package raging.goblin.infolog.android.gui;

import raging.goblin.infolog.sync.data.Infolog;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Paint.Style;
import android.graphics.RectF;
import android.util.AttributeSet;
import android.widget.LinearLayout;

public class StickyNote extends LinearLayout {

    private Paint innerPaint;
    private Paint borderPaint;

    public StickyNote(Context context) {
        super(context);
        initPaints();
    }

    public StickyNote(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        initPaints();
    }

    public void setColor(int color) {
        innerPaint.setColor(color);
    }

    @Override
    protected void dispatchDraw(Canvas canvas) {
        RectF rectangle = new RectF();
        rectangle.set(0, 0, getMeasuredWidth(), getMeasuredHeight());
        canvas.drawRoundRect(rectangle, 10, 10, innerPaint);
        canvas.drawRoundRect(rectangle, 10, 10, borderPaint);
        super.dispatchDraw(canvas);
    }

    private void initPaints() {
        innerPaint = new Paint();
        innerPaint.setColor(InfologColors.getColor(Infolog.NOTE));
        innerPaint.setAntiAlias(true);

        borderPaint = new Paint();
        borderPaint.setARGB(255, 255, 255, 255);
        borderPaint.setAntiAlias(true);
        borderPaint.setStyle(Style.STROKE);
        borderPaint.setStrokeWidth(2);
    }
}
