package raging.goblin.infolog.android.sync;

import android.app.Service;
import android.content.Intent;
import android.os.IBinder;
import android.util.Log;

import java.util.Date;
import java.util.concurrent.ScheduledThreadPoolExecutor;
import java.util.concurrent.TimeUnit;

import raging.goblin.infolog.android.data.DbStorage;
import raging.goblin.infolog.android.util.AndroidLogger;
import raging.goblin.infolog.sync.Synchronizer;
import raging.goblin.infolog.sync.webserviceclient.WebserviceClient;

public class SyncService extends Service {

	private static final String IP = "192.168.0.108";
	private static final int PORT = 8087;
	private static final boolean USE_HTTPS = false;
	private static final String USERNAME = "rijk00st";
	private static final String PASSWORD = "f75rsdXCvME8aarTczf3dilXNPO4GrBc";
	private static final String ENCRYPTION_TYPE = "Sha512_crypt";
	private static final boolean SERVER_WINS = true;

	private ScheduledThreadPoolExecutor syncScheduler;
	private WebserviceClient remoteStorage;
	private DbStorage localStorage;
	private Synchronizer synchronizer;
	public long lastSyncTime = 0;

	@Override
	public void onCreate() {
		remoteStorage = new WebserviceClient(IP, PORT, USE_HTTPS);
	}

	@Override
	public int onStartCommand(Intent intent, int flags, int startId) {
		syncScheduler = new ScheduledThreadPoolExecutor(1);
		localStorage = new DbStorage(this);
		synchronizer = new Synchronizer(new AndroidLogger("Synchronizer"), localStorage, remoteStorage, USERNAME,
			 PASSWORD, ENCRYPTION_TYPE);
		syncScheduler.scheduleWithFixedDelay(new SyncTask(), 5, 30, TimeUnit.SECONDS);
		return START_STICKY;
	}

	@Override
	public void onDestroy() {
		super.onDestroy();
		localStorage.stop();
		syncScheduler.shutdownNow();
	}

	@Override
	public IBinder onBind(Intent intent) {
		return null;
	}

	private class SyncTask implements Runnable {

		@Override
		public void run() {
			try {
				synchronizer.synchronize(lastSyncTime, SERVER_WINS);
			} catch (Exception e) {
				Log.e("SyncService", "Unable to synchronize, aborting...", e);
			}
			lastSyncTime = new Date().getTime();
		}
	}
}
