/*
 * Copyright 2013, RagingGoblin <http://raginggoblin.wordpress.com>
 * 
 * This file is part of Infolog.
 *
 *  Infolog is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Infolog is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Infolog.  If not, see <http://www.gnu.org/licenses/>.
 */

package raging.goblin.infolog.client.gui;

import java.awt.BorderLayout;

import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;

/**
 * Provided a tiny bit of help to the user.
 */
public class HelpDialog extends JDialog {

	private static final String TITLE = "Just a little help";
	private static final String HELP_TEXT = "<html><h1>Infolog desktop client</h1>"
	   + "Infolog is displayed as an icon in your system tray."
	   + "<ul><li> Single click on this icon toggles the visibility of the sticky notes.</li>"
	   + "<li>Double click on this icon toggles the gui.</li>"
	   + "<li>Right click on this icon displays a menu with options to create new sticky notes.</li></ul>"
	   + "Synchronization settings can be changed through 'Actions' -> 'Configure synchronization'.<br /><br />"
	   + "Look and feel can be changed through 'Actions' -> 'Configure look and feel'.<br /><br />";

	public HelpDialog(JFrame parent) {
		super(parent, TITLE, true);
		setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		initGui();
		setSize(720, 250);
	}

	private void initGui() {
		JLabel helpText = (new JLabel(HELP_TEXT));
		getContentPane().add(helpText, BorderLayout.CENTER);

		JLabel rightSpacer = new JLabel("    ");
		getContentPane().add(rightSpacer, BorderLayout.EAST);
		JLabel leftSpacer = new JLabel("    ");
		getContentPane().add(leftSpacer, BorderLayout.WEST);
	}
}
