/*
 * Copyright 2013, RagingGoblin <http://raginggoblin.wordpress.com>
 * 
 * This file is part of Infolog.
 *
 *  Infolog is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Infolog is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Infolog.  If not, see <http://www.gnu.org/licenses/>.
 */

package raging.goblin.infolog.client.properties;

/**
 * Contains the properties specific for the infolog client application.
 */
public abstract class InfologClientProperties {

	// Synchronization
	public static String username = "";
	public static String password = "";
	public static String serverHostName = "localhost";
	public static boolean https = false;
	public static String keystore = "infologcerts";
	public static String passphrase = "changeit";
	public static int serverPort = 8087;
	public static int pollInterval = 10;
	public static String encryptionType = "md5";
	public static boolean serverWins = false;

	// Look and feel
	public static final String DEFAULT_TRAY_ICON = "icons/infolog.png";
	public static String trayIcon = DEFAULT_TRAY_ICON;
	public static final int DEFAULT_DOUBLE_CLICK_DELAY = 250;
	public static int doubleClickDelay = DEFAULT_DOUBLE_CLICK_DELAY;
	public static final int DEFAULT_DRAG_DELAY = 2;
	public static int dragDelay = DEFAULT_DRAG_DELAY;
	public static final int DEFAULT_SPACING = 35;
	public static int spacing = DEFAULT_SPACING;
	public static final int DEFAULT_HEIGHT = 250;
	public static int height = DEFAULT_HEIGHT;
	public static final int DEFAULT_WIDTH = 200;
	public static int width = DEFAULT_WIDTH;
	public static final int[] DEFAULT_NOTE_TOP_COLOR = { 252, 252, 200 };
	public static int[] noteTopColor = DEFAULT_NOTE_TOP_COLOR;
	public static final int[] DEFAULT_NOTE_BOTTOM_COLOR = { 250, 245, 160 };
	public static int[] noteBottomColor = DEFAULT_NOTE_BOTTOM_COLOR;
	public static final int[] DEFAULT_TASK_TOP_COLOR = { 200, 252, 200 };
	public static int[] taskTopColor = DEFAULT_TASK_TOP_COLOR;
	public static final int[] DEFAULT_TASK_BOTTOM_COLOR = { 150, 217, 150 };
	public static int[] taskBottomColor = DEFAULT_TASK_BOTTOM_COLOR;
	public static final int[] DEFAULT_PHONE_TOP_COLOR = { 252, 200, 200 };
	public static int[] phoneTopColor = DEFAULT_PHONE_TOP_COLOR;
	public static final int[] DEFAULT_PHONE_BOTTOM_COLOR = { 252, 150, 150 };
	public static int[] phoneBottomColor = DEFAULT_PHONE_BOTTOM_COLOR;

}
