--
-- Table structure for table `egw_accounts`
--

CREATE TABLE IF NOT EXISTS `egw_accounts` (
  `account_id` int(11) NOT NULL AUTO_INCREMENT,
  `account_lid` varchar(64) NOT NULL,
  `account_pwd` varchar(128) NOT NULL,
  `account_lastlogin` int(11) DEFAULT NULL,
  `account_lastloginfrom` varchar(255) DEFAULT NULL,
  `account_lastpwd_change` int(11) DEFAULT NULL,
  `account_status` varchar(1) NOT NULL DEFAULT 'A',
  `account_expires` int(11) DEFAULT NULL,
  `account_type` varchar(1) DEFAULT NULL,
  `account_primary_group` int(11) NOT NULL DEFAULT '0',
  `account_challenge` varchar(100) DEFAULT NULL,
  `account_response` varchar(100) DEFAULT NULL,
  PRIMARY KEY (`account_id`),
  UNIQUE KEY `egw_accounts_account_lid` (`account_lid`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=15 ;

--
-- Table structure for table `egw_infolog`
--

CREATE TABLE IF NOT EXISTS `egw_infolog` (
  `info_id` int(11) NOT NULL AUTO_INCREMENT,
  `info_type` varchar(40) NOT NULL DEFAULT 'task',
  `info_from` varchar(255) DEFAULT NULL,
  `info_addr` varchar(255) DEFAULT NULL,
  `info_subject` varchar(255) DEFAULT NULL,
  `info_des` text,
  `info_owner` int(11) NOT NULL,
  `info_responsible` varchar(255) NOT NULL DEFAULT '0',
  `info_access` varchar(10) DEFAULT 'public',
  `info_cat` int(11) NOT NULL DEFAULT '0',
  `info_datemodified` bigint(20) NOT NULL,
  `info_startdate` bigint(20) NOT NULL DEFAULT '0',
  `info_enddate` bigint(20) NOT NULL DEFAULT '0',
  `info_id_parent` int(11) NOT NULL DEFAULT '0',
  `info_planned_time` int(11) NOT NULL DEFAULT '0',
  `info_replanned_time` int(11) NOT NULL DEFAULT '0',
  `info_used_time` int(11) NOT NULL DEFAULT '0',
  `info_status` varchar(40) DEFAULT 'done',
  `info_confirm` varchar(10) DEFAULT 'not',
  `info_modifier` int(11) NOT NULL DEFAULT '0',
  `info_link_id` int(11) NOT NULL DEFAULT '0',
  `info_priority` smallint(6) DEFAULT '1',
  `pl_id` int(11) DEFAULT NULL,
  `info_price` double DEFAULT NULL,
  `info_percent` smallint(6) DEFAULT '0',
  `info_datecompleted` bigint(20) DEFAULT NULL,
  `info_location` varchar(255) DEFAULT NULL,
  `info_custom_from` tinyint(4) DEFAULT NULL,
  `info_uid` varchar(255) DEFAULT NULL,
  `info_cc` varchar(255) DEFAULT NULL,
  `caldav_name` varchar(64) DEFAULT NULL,
  `info_etag` int(11) DEFAULT '0',
  `info_created` bigint(20) DEFAULT NULL,
  `info_creator` int(11) DEFAULT NULL,
  PRIMARY KEY (`info_id`),
  KEY `egw_infolog_owner_responsible_status_startdate` (`info_owner`,`info_responsible`,`info_status`,`info_startdate`),
  KEY `egw_infolog_id_parent_owner_responsible_status_startdate` (`info_id_parent`,`info_owner`,`info_responsible`,`info_status`,`info_startdate`),
  KEY `egw_infolog_caldav_name` (`caldav_name`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=819 ;

--
-- Table structure for table `egw_infolog_extra`
--

CREATE TABLE IF NOT EXISTS `egw_infolog_extra` (
  `info_id` int(11) NOT NULL,
  `info_extra_name` varchar(64) NOT NULL,
  `info_extra_value` text,
  PRIMARY KEY (`info_id`,`info_extra_name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
