/*
 * Copyright 2013, RagingGoblin <http://raginggoblin.wordpress.com>
 * 
 * This file is part of Infolog.
 *
 *  Infolog is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Infolog is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Infolog.  If not, see <http://www.gnu.org/licenses/>.
 */

package raging.goblin.infolog.server.data;

import java.util.Date;

import raging.goblin.infolog.sync.data.Infolog;

public class InfologTransformer {

    public static InfologDao createInfologDao(Infolog infolog) {
        InfologDao infologDao = new InfologDao();
        infologDao.setInfoType(infolog.getType());
        infologDao.setInfoCat(0);
        infologDao.setInfoStartdate(new Date().getTime() / 1000);
        infologDao.setInfoEnddate(0l);
        infologDao.setInfoIdParent(0);
        infologDao.setInfoPlannedTime(0);
        infologDao.setInfoReplannedTime(0);
        infologDao.setInfoUsedTime(0);
        infologDao.setInfoModifier(0);
        infologDao.setInfoLinkId(0);
        infologDao.setInfoSubject(infolog.getSubject());
        infologDao.setInfoDes(infolog.getDescription());
        infologDao.setInfoFrom("");
        infologDao.setInfoAddr("");
        infologDao.setInfoId(infolog.getId());
        infologDao.setInfoAccess("public");
        infologDao.setInfoStatus("done");
        infologDao.setInfoConfirm("not");
        infologDao.setInfoPriority((short) 1);
        infologDao.setInfoPercent((short) 100);
        infologDao.setInfoDatecompleted(new Date().getTime() / 1000);
        infologDao.setInfoLocation("");
        infologDao.setInfoCustomFrom((short) 0);
        infologDao.setInfoUid("Infolog client");
        infologDao.setInfoDatemodified(infolog.getDatemodified() / 1000);
        return infologDao;
    }

    public static Infolog createInfolog(InfologDao infologDao) {
        return new Infolog(infologDao.getInfoId(), infologDao.getInfoDatemodified() * 1000,
            infologDao.getInfoSubject(), infologDao.getInfoDes(), infologDao.getInfoType());
    }

}
