package raging.goblin.infolog.server.webservice;

import javax.ws.rs.WebApplicationException;
import javax.ws.rs.core.Response.Status;

/**
 * Throw this exception to return a 403 Forbidden response. The WWW-Authenticate header is set appropriately and a short
 * message is included in the response entity.
 * 
 * http://zcox.wordpress.com/2009/06/22/use-exceptions-to-send-error-responses-in-jersey/
 */
public class ForbiddenException extends WebApplicationException {

    public ForbiddenException() {
        this("Please authenticate.", "infolog");
    }

    public ForbiddenException(String message, String realm) {
        super(Status.FORBIDDEN);
    }
}