/*
 * Copyright 2013, RagingGoblin <http://raginggoblin.wordpress.com>
 * 
 * This file is part of Infolog.
 *
 *  Infolog is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Infolog is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Infolog.  If not, see <http://www.gnu.org/licenses/>.
 */

package raging.goblin.infolog.sync.data;

import java.util.Date;

public class Infolog {

    public static final String TASK = "task";
    public static final String PHONE = "phone";
    public static final String NOTE = "note";

    private int id;
    private long datemodified;
    private String subject;
    private String description;
    private String type;

    public Infolog(int id, long datemodified, String subject, String description, String type) {
        this.id = id;
        this.datemodified = datemodified;
        this.subject = subject;
        this.description = description;
        this.type = type;
    }

    public Infolog(int id, String type) {
        this(id, new Date().getTime(), "New...", "", type);
    }

    @SuppressWarnings("unused")
    private Infolog() {
        // Jaxb :)
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public long getDatemodified() {
        return datemodified;
    }

    public void setDatemodified(long datemodified) {
        this.datemodified = datemodified;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public int hashCode() {
        return id;
    }

    @Override
    public boolean equals(Object object) {
        if (object instanceof Infolog) {
            return id == (((Infolog) object).id);
        }
        return false;
    }

}
