/*
 * Copyright 2013, RagingGoblin <http://raginggoblin.wordpress.com>
 * 
 * This file is part of Infolog.
 *
 *  Infolog is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Infolog is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Infolog.  If not, see <http://www.gnu.org/licenses/>.
 */

package raging.goblin.infolog.sync.webserviceclient;

import java.util.List;

import raging.goblin.infolog.sync.data.Infolog;

/**
 * Wrapper around parameters used for the webservice.
 */
public class InfologWebRequest {

    private String username;
    private String password;
    private String encryptionType;
    private List<Infolog> infologs;

    public InfologWebRequest(String username, String password, String encryptionType, List<Infolog> infologs) {
        this.username = username;
        this.password = password;
        this.encryptionType = encryptionType;
        this.infologs = infologs;
    }

    public InfologWebRequest() {
        // JSON :)
    }
    
    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getEncryptionType() {
        return encryptionType;
    }

    public void setEncryptionType(String encryptionType) {
        this.encryptionType = encryptionType;
    }

    public List<Infolog> getInfologs() {
        return infologs;
    }

    public void setInfolog(List<Infolog> infologs) {
        this.infologs = infologs;
    }

}
